libgcrypt20 (1.8.4-5+deb10u1) buster; urgency=medium

  * 31_cipher-Fix-ElGamal-encryption-for-other-implementati.patch from
    upstream LIBGCRYPT-1.8-BRANCH: Fix weak ElGamal encryption with keys *not*
    generated by GnuPG/libgcrypt. CVE-2021-33560

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 May 2021 13:32:02 +0200

libgcrypt20 (1.8.4-5) unstable; urgency=medium

  * 30_doc-Fix-library-initialization-examples.patch from upstream
    LIBGCRYPT-1.8-BRANCH: Stop suggesting gcry_check_version (GCRYPT_VERSION)
    in documentation. Add some touch magic to still allow building without
    makeinfo. See #914009
  * [lintian] Minimize upstream/signing-key.asc.
  * Use dh v11 compatibility level.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Jan 2019 14:47:23 +0100

libgcrypt20 (1.8.4-4) unstable; urgency=medium

  * Run "wrap-and-sort --max-line-length=72 --short-indent" and add back
    autodeleted comments.
  * Drop libgcrypt11-dev transition package. Closes: #878654

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Dec 2018 13:43:39 +0100

libgcrypt20 (1.8.4-3) unstable; urgency=medium

  * Fix arch-indep build error by running dh_auto_install for both -arch and
    -indep builds.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Oct 2018 07:22:27 +0100

libgcrypt20 (1.8.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Use dh_missing.
  * Ship info files from installed tree (debian/tmp/) instead of from doc/.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 18:33:22 +0200

libgcrypt20 (1.8.4-1) experimental; urgency=medium

  * New upstream bugfix release.
    + Drop 40-*.patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 07:45:13 +0200

libgcrypt20 (1.8.3-2) experimental; urgency=low

  * Update from LIBGCRYPT-1.8-BRANCH:
    + 40-01-Post-release-updates.patch
    + 40-02-random-Fix-hang-of-_gcry_rndjent_get_version.patch
    + 40-03-sexp-Fix-uninitialized-use-of-a-var-in-the-error-cas.patch
    + 40-04-ecc-Fix-potential-unintended-freeing-of-an-internal-.patch
    + 40-06-ecc-Fix-possible-memory-leakage-in-parameter-check-o.patch
    + 40-07-ecc-Fix-memory-leak-in-the-error-case-of-ecc_encrypt.patch
    + 40-08-Fix-memory-leak-in-secmem-in-out-of-core-conditions.patch
    + 40-09-doc-Update-yat2m.c-from-upstream-libgpg-error.patch
    + 40-10-build-Add-release-make-target.patch

 -- Andreas Metzler <ametzler@debian.org>  Fri, 26 Oct 2018 17:29:25 +0200

libgcrypt20 (1.8.3-1) unstable; urgency=high

  * [lintian] Fix spelling-error-in-patch-description in
    15_multiarchpath_in_-L.diff.
  * New upstream version.
    + Use blinding for ECDSA signing to mitigate a novel side-channel
      attack.  CVE-2018-0495
  * [lintian] Delete trailing empty lines in changelog.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Jun 2018 19:15:54 +0200

libgcrypt20 (1.8.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Partially sync priorities with override file. (libgcrypt20 optional from
    standard.)
  * Point Vcs* to salsa.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 Mar 2018 18:43:21 +0200

libgcrypt20 (1.8.2-1) experimental; urgency=medium

  * New upstream version.
    + Drop 30_Fix-secmem-test-for-machine-with-larger-page.patch and
      31_tests-Add-HAVE_MMAP-check-for-MinGW.patch.
  * Use dh v10 mode. Bump b-d, drop explicit b-d on automake and
    dh_autoreconf, remove --parallel --with autoreconf options from dh
    invocation.
  * Clean up, delete some libgcrypt20-dbg leftovers.
  * Use https for upstream URL.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Dec 2017 13:36:49 +0100

libgcrypt20 (1.8.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 15 Nov 2017 18:52:21 +0100

libgcrypt20 (1.8.1-3) experimental; urgency=medium

  * Replace 30_fedora_t-secmem-PPC64.diff with
    30_Fix-secmem-test-for-machine-with-larger-page.patch and
    31_tests-Add-HAVE_MMAP-check-for-MinGW.patch from upstream GIT
    LIBGCRYPT-1.8-BRANCH.
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 Nov 2017 19:10:39 +0100

libgcrypt20 (1.8.1-2) experimental; urgency=medium

  * Sync priorities with override file
    (libgcrypt11-dev/libgcrypt-mingw-w64-dev: extra -> optional). Bump
    Standards-Version to 4.1.1.
  * Point watchfile to https URL.
  * Use DEB_VERSION_UPSTREAM_REVISION instead of DEB_VERSION to generate fake
    version number.
  * Sync debian/copyright with upstream's LICENSES file, adding the OCB
    license 1. Closes: #879984
  * [lintian] Drop trailing whitespace in control and changelog.
  * [lintian] Fix typo in copyright file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Nov 2017 19:06:49 +0100

libgcrypt20 (1.8.1-1) experimental; urgency=medium

  * New upstream version.
    + Mitigates a local side-channel attack on Curve25519 dubbed "May the
      Fourth be With You".  [CVE-2017-0379] Closes: #873383
    + Add the OID SHA384WithECDSA from RFC-7427 to SHA-384. Closes: 873297
  * Use @ARCHIVE_EXT@ in watchfile instead of hardcoding bz2.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Aug 2017 13:13:01 +0200

libgcrypt20 (1.8.0-2) experimental; urgency=low

  * 30_fedora_t-secmem-PPC64.diff from Fedora package: Fix t_secmen on
    powerpc which uses a pagesize > 16K.
  * Use /usr/share/dpkg/pkg-info.mk instead of invoking dpkg-parsechangelog.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Aug 2017 16:06:03 +0200

libgcrypt20 (1.8.0-1) experimental; urgency=low

  * New upstream version.
    + Drop 30_mpi-Fix-mpi_set_secure.patch.
    + Update copyright file.
    + Update symbol file.
    + Bump libgpg-error-dev b-d requirement to >= 1.25.
    + Update algorithm list in package description.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 19 Jul 2017 19:47:46 +0200

libgcrypt20 (1.7.9-2) unstable; urgency=medium

  * Sync debian/copyright with upstream's LICENSES file, adding the OCB
    license 1. Closes: #879984
  * [lintian] Drop trailing whitespace in control and changelog.
  * [lintian] Sync priorities with override file (extra -> optional).
  * [lintian] Fix typo in copyright file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Nov 2017 16:37:16 +0100

libgcrypt20 (1.7.9-1) unstable; urgency=high

  * New upstream version, mitigates a local side-channel attack on Curve25519
    dubbed "May the Fourth be With You".  [CVE-2017-0379] Closes: #873383
    + Drop 30_mpi-Fix-mpi_set_secure.patch

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Aug 2017 11:56:17 +0200

libgcrypt20 (1.7.8-2) unstable; urgency=medium

  * 30_mpi-Fix-mpi_set_secure.patch from upstream LIBGCRYPT-1-7-BRANCH: Fix
    memory allocation in mpi_set_secure. Closes: #866964
  * Drop override_dh_strip from debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Jul 2017 18:16:23 +0200

libgcrypt20 (1.7.8-1) unstable; urgency=high

  * Fix 25_norevisionfromgit.diff to let ./configure generate a version-string
    without -beta suffix. LP: #1700157
  * New upstream version.
    + Mitigate a flush+reload side-channel attack on RSA secret keys dubbed
      "Sliding right into disaster".  For details see
      <https://eprint.iacr.org/2017/627>.  [CVE-2017-7526]

 -- Andreas Metzler <ametzler@debian.org>  Thu, 29 Jun 2017 18:27:03 +0200

libgcrypt20 (1.7.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Jun 2017 11:28:58 +0200

libgcrypt20 (1.7.7-1) experimental; urgency=medium

  * New upstream version.
    + Drop 30_gcry177*.patch

 -- Andreas Metzler <ametzler@debian.org>  Sun, 04 Jun 2017 15:34:56 +0200

libgcrypt20 (1.7.6-2) unstable; urgency=high

  * Refresh debian/upstream/signing-key.asc, key-expiry-dates bumped.
  * Pull two fixes from gcrypt 1.7.7 bugfix release:
    + 30_gcry177_01-ecc-Store-EdDSA-session-key-in-secure-memory.patch
      Fix possible timing attack on EdDSA session key.
    + 30_gcry177_02-secmem-Fix-SEGV-and-stat-calculation.patch
      Fix long standing bug in secure memory implementation which could lead
      to a segv on free.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Jun 2017 10:58:36 +0200

libgcrypt20 (1.7.6-1) unstable; urgency=medium

  * New upstream version, includes
    30_rijndael-ssse3-fix-counter-operand-from-read-only-to.patch.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 26 Jan 2017 11:58:32 +0100

libgcrypt20 (1.7.5-3) unstable; urgency=medium

  * 30_rijndael-ssse3-fix-counter-operand-from-read-only-to.patch from
    upstream GIT master: Fix SSE3 assembly on Nehalem.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Jan 2017 11:06:04 +0100

libgcrypt20 (1.7.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Dec 2016 08:38:47 +0100

libgcrypt20 (1.7.5-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 15 Dec 2016 19:32:33 +0100

libgcrypt20 (1.7.3-2) unstable; urgency=medium

  [ Helmut Grohne / Andreas Metzler ]
  * Turn libgcrypt11-dev into an Arch:any package. Closes: #840205

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Oct 2016 18:00:59 +0200

libgcrypt20 (1.7.3-1) unstable; urgency=high

  * New upstream version.
    Fix critical security bug in the RNG [CVE-2016-6313].  An
    attacker who obtains 580 bytes from the standard RNG can
    trivially predict the next 20 bytes of output.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 Aug 2016 07:47:10 +0200

libgcrypt20 (1.7.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jul 2016 15:32:09 +0200

libgcrypt20 (1.7.2-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Jul 2016 19:21:29 +0200

libgcrypt20 (1.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jun 2016 07:24:03 +0200

libgcrypt20 (1.7.1-1) experimental; urgency=medium

  * Fix package descriptions. The algorithm-list was incomplete for some
    packages. Closes: #821368 (Thanks, Katsuhiko Nishimra)
  * New upstream bugfix release, update copyright info.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 16 Jun 2016 19:12:08 +0200

libgcrypt20 (1.7.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Apr 2016 13:16:30 +0200

libgcrypt20 (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright from AUTHORS.
  * Update algorithm list in package description.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Apr 2016 19:31:29 +0200

libgcrypt20 (1.6.5+git20160413+8472b-1) experimental; urgency=medium

  * New upstream snapshot.
  * Use hardening=+bindnow instead of hardening=+all, we are mainly shipping
    libraries, including static ones.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Apr 2016 18:54:07 +0200

libgcrypt20 (1.6.5+git20160407+5e5d3-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Apr 2016 18:56:20 +0200

libgcrypt20 (1.6.5+git20160329+48ee9-1) experimental; urgency=medium

  * New upstream snapshot.
  * Drop 40_Fix-building-random-drbg-for-Win32-64.patch, removal of
    src/gcrypt.h in debian/clean is unnecessary, too.
  * Build with DEB_BUILD_MAINT_OPTIONS := hardening=+all.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 30 Mar 2016 19:15:01 +0200

libgcrypt20 (1.6.5+git20160220+839d12c-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * Drop build/ from debian/clean, passing --builddirectory=build on dh $@
    line makes this unnecessary.
  * 40_Fix-building-random-drbg-for-Win32-64.patch from upstream GIT: Remove
    include for sys/types.h and asm/types.h. Fixes FTBFS in win* (and
    possibly kfreebsd-*).
  * 25_norevisionfromgit.diff: Hardcode dummy values instead of trying to pull
    revision/version info from GIT when autoconf is run.
  * Delete generated header src/gcrypt.h on clean. - The version shipped in
    the tarball can have different content than a freshly generated one, and
    with out-of-tree-builds the outdated version is not overwritten.

  [ Daniel Kahn Gillmor ]
  * Add libgcrypt-mingw-w64-dev package which will allow building a gpgv-win32
    package for debian installer's win32-loader. Closes: #814954

 -- Andreas Metzler <ametzler@debian.org>  Mon, 22 Feb 2016 18:50:38 +0100

libgcrypt20 (1.6.5+git20160220+839d12c-1) experimental; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Build out-of-tree for cleanliness.

  [ Andreas Metzler ]
  * Also set --builddirectory=build on dh $@ line.
  * New git snapshot, drop 30_bufhelp-disable-unaligned-ppc.patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Feb 2016 16:28:56 +0100

libgcrypt20 (1.6.5+git20160212+a9b64-2) experimental; urgency=low

  * Add 30_bufhelp-disable-unaligned-ppc.patch by Jussi Kivilinn (Disable
    unaligned memory accesses on powerpc*) to fix errors on ppc64el.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Feb 2016 11:41:22 +0100

libgcrypt20 (1.6.5+git20160212+a9b64-1) experimental; urgency=medium

  * Upload upstream git master branch to experimental to get some buildd
    exposure.
  * New upstream version (preparing for 1.7.0):
    + Drop 30_support_source_date_epoch.diff. Upstream now defaults to no
      build-stamp.
    + Drop 20_fedora_libgcrypt-1.6.3-aliasing.patch. It does not apply cleanly
      and we want to test unpatched buildability anyway.
    + List newly added symbols in symbols file.
    + Update debian/copyright from AUTORS and LICENSES. RFC 1952 code is gone.
      Closes: #745453
    + Core enums have been extended (gcry_ctl_cmds, gcry_cipher_algos,
      gcry_cipher_modes, gcry_pk_algos, gcry_md_algos, gcry_mac_algo) after
      addition of inter alia SHA-3, ChaCha20, Poly1305, curve sec256k1 and
      curves GOST R 34.10-2001 and GOST R 34.10-2012. Be paraniod and bump
      Debian dependency info (via debian/libgcrypt20.symbols) to >= 1.7.0.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 12 Feb 2016 10:18:00 +0100

libgcrypt20 (1.6.5-2) unstable; urgency=medium

  * serial-tests was added in automake 1.12, add versioned b-d.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 10 Feb 2016 12:01:58 +0100

libgcrypt20 (1.6.5-1) experimental; urgency=medium

  * New upstream bugfix release.
    + Mitigate side-channel attack on ECDH with Weierstrass curves
     [CVE-2015-7511].  See http://www.cs.tau.ac.IL/~tromer/ecdh/ for
     details.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 09 Feb 2016 19:52:06 +0100

libgcrypt20 (1.6.4-5) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * Add 30_support_source_date_epoch.diff: Support setting BUILD_TIMESTAMP
    using SOURCE_DATE_EPOCH through the SOURCE_DATE_EPOCH environment
    variable. (Thanks, Jérémy Bobbio!). Use/b-d on dh-autoreconf instead of
    autotools-dev. Closes: #812428

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Jan 2016 16:00:41 +0100

libgcrypt20 (1.6.4-4) unstable; urgency=medium

  * Delete build-aux/texinfo.tex and let texinfo use the system copy instead
    to prevent breakage in pdf generation in UTF-8 locale. Closes: #803081
  * Migrate from libgcrypt20-dbg to ddebs. dh_strip's --ddeb-migration
    option was added to debhelper/unstable with version 9.20150628, bump
    build-dependency accordingly.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 Dec 2015 14:06:18 +0100

libgcrypt20 (1.6.4-3) unstable; urgency=medium

  * Upload to unstable.
  * Ship pdf instead of postscript docs.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Oct 2015 13:37:58 +0200

libgcrypt20 (1.6.4-2) experimental; urgency=medium

  * Pull 20_fedora_libgcrypt-1.6.3-aliasing.patch from Fedora to fix testsuite
    error with gcc5 on ppc64.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Oct 2015 18:06:52 +0200

libgcrypt20 (1.6.4-1) experimental; urgency=medium

  * libgcrypt-config: Do not fail on missing dpkg-architecture.
    Closes: #796818
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Sep 2015 13:22:15 +0200

libgcrypt20 (1.6.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix Vcs-Browser link.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Mar 2015 13:46:59 +0100

libgcrypt20 (1.6.3-1) experimental; urgency=medium

  * Use ascii-armored debian/upstream/signing-key.asc instead of
    debian/upstream-signing-key.pgp for uscan's verification. This alllows us
    to drop debian/source/include-binaries. Add 2071B08A33BD3F06 as accepted
    key.
  * New upstream release.
    + Use ciphertext blinding for Elgamal decryption [CVE-2014-3591].
      See http://www.cs.tau.ac.il/~tromer/radioexp/ for details.
    + Fixed data-dependent timing variations in modular exponentiation
      [related to CVE-2015-0837, Last-Level Cache Side-Channel Attacks
      are Practical].

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Feb 2015 13:18:25 +0100

libgcrypt20 (1.6.2-4) unstable; urgency=medium

  * Add libgcrypt11-dev transitional package. It Breaks libgnutls-dev
    (<< 2.12.23-18), because addition of a dummy package does not magically
    fix GnuTLS 2.x incompatibilities with libgcrypt20.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Sep 2014 14:12:54 +0200

libgcrypt20 (1.6.2-3) unstable; urgency=medium

  * libgcrypt20-dev provides libgcrypt-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 31 Aug 2014 15:50:01 +0200

libgcrypt20 (1.6.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Aug 2014 07:38:52 +0200

libgcrypt20 (1.6.2-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Upload to experimental, do not delay propagation of udeb (#758756) to
    testing.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 Aug 2014 19:38:21 +0200

libgcrypt20 (1.6.1-3) unstable; urgency=high

  * Add udeb. Closes: #758756

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 Aug 2014 19:04:59 +0200

libgcrypt20 (1.6.1-2) unstable; urgency=medium

  * libgcrypt20-dev does not provide libgcrypt-dev anymore and conflicts with
    libgcrypt11-dev in addition to the virtual package libgcrypt-dev.
    The previous setup of having libgcryptXX-dev provide/conflict
    libgcrypt-dev breaks for packages build-depending on the virtual package.
    Closes: #741959

 -- Andreas Metzler <ametzler@debian.org>  Mon, 17 Mar 2014 19:14:23 +0100

libgcrypt20 (1.6.1-1) unstable; urgency=medium

  * New upstream version.
    + New member in gcry_md_flags, bump dependency version of gcry_md_open().
    + GCRYCTL_INACTIVATE_FIPS_FLAG/GCRYCTL_REACTIVATE_FIPS_FLAG reserved but
      returning a GPG_ERR_NOT_IMPLEMENTED yet. Bump dependency version of
      gcry_control().
  * Fix c'n'p error in Vcs-Git field. Closes: #737022

 -- Andreas Metzler <ametzler@debian.org>  Wed, 29 Jan 2014 16:21:56 +0100

libgcrypt20 (1.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * Add description to 12_lessdeps_libgcrypt-config.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Jan 2014 13:15:57 +0100

libgcrypt20 (1.6.0-1) experimental; urgency=low

  * Point vcs* to git.
  * New upstream version.
    + Update symbol file.
    + Rename all (including -dev) packages to match soname bump. Because of
      API changes gnutls26 cannot be built against gcrypt 1.6.0. As we are not
      ready to drop gnutls26 and it seems unlikely that gnutls upstream makes
      feature changes to its old-old-old-stable release we will need to keep
      the old gcrypt development package around.
    + Don't build udeb for the time being.
    + Update version of libgpg-error-dev build-dependency.
  * Drop Breaks with old, gcrypt-1.5.x incompatible versions of gnupg2, gpgsm
    and libgnutls26.
  * Ship hmac256.1 in libgcrypt20-dev.
  * Add debian/upstream-signing-key.pgp (listed in
    debian/source/include-binaries) and update watchfile to check
    upstream signature.
  * Edit "image path" entries in info docs to point /usr/share/doc/.../html.
  * Replace /usr/share/doc/libgcrypt20-dbg with a symlink to
    /usr/share/doc/libgcrypt20.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Dec 2013 15:51:07 +0100

libgcrypt11 (1.5.3-2) unstable; urgency=low

  * Convert to dh and move building of ps and html docs to
    override_dh_auto_build-indep. Enable parallel building.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 20 Aug 2013 19:21:29 +0200

libgcrypt11 (1.5.3-1) unstable; urgency=high

  * New upstream bugfix release. (CVE-2013-4242)

 -- Andreas Metzler <ametzler@debian.org>  Thu, 25 Jul 2013 14:24:43 +0200

libgcrypt11 (1.5.2-3) unstable; urgency=low

  * Install libgcrypt.a and libgcrypt.so to /usr.
  * [15_multiarchpath_in_-L.diff] Do not print -L/lib/i386-linux-gnu on
    "libgcrypt-config --libs".
  * Use debhelper v9 mode. This allows us to mark libgcrypt11-dbg Multi-Arch:
    same.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jun 2013 15:55:26 +0200

libgcrypt11 (1.5.2-2) unstable; urgency=low

  * Upload to unstable.
  * Fix vcs-field-not-canonical lintian error by refering to anonscm instead
    of svn.debian.org.
  * Update info in debian/copyright from upstream's README, fixing typo 'teh'.
  * Delete some outdated and unused code in debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Jun 2013 08:54:56 +0200

libgcrypt11 (1.5.2-1) experimental; urgency=low

  * New upstream version.
    + IDEA support added.
  * Move list of supported algorithms to a separate paragraph in description
    to decrease work-load of translators. Closes: #640261
  * Move TeX-packages from b-d to Build-Depends-Indep. (Thanks, P. J.
    McDermott) Closes: #682597

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Apr 2013 14:31:51 +0200

libgcrypt11 (1.5.1-1) experimental; urgency=low

  * Point watchfile to stable release.
  * New upstream version.
  * Drop superfluous patches:
    29_Fix-a-problem-with-select-and-high-fds.patch
    30_Avoid-dereferencing-pointer-right-after-the-end.patch
    31_Fix-segv-with-AES-NI-on-some-platforms.patch
    32_libgcrypt-1.5-rinjdael-Fix-use-of-SSE2-outside-USE_A.patch
  * Bump version gcry_control@GCRYPT_1.2 in debian/libgcrypt11.symbols from
    1.4.5 to 1.5.1 since its argument enum has a new member.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 Mar 2013 19:43:39 +0100

libgcrypt11 (1.5.0-5) unstable; urgency=low

  * While we are at it also pick
    29_Fix-a-problem-with-select-and-high-fds.patch
    LP: #1084279

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Feb 2013 18:38:55 +0100

libgcrypt11 (1.5.0-4) unstable; urgency=low

  * Pull patches from upstream LIBGCRYPT-1-5-BRANCH:
      30_Avoid-dereferencing-pointer-right-after-the-end.patch
      31_Fix-segv-with-AES-NI-on-some-platforms.patch
         <https://bugs.g10code.com/gnupg/issue1452> LP: #1105758
      32_libgcrypt-1.5-rinjdael-Fix-use-of-SSE2-outside-USE_A.patch
    Closes: #699034

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Feb 2013 17:43:09 +0100

libgcrypt11 (1.5.0-3) unstable; urgency=low

  * Upload to unstable.
  * Drop 20_workaroundarmgcc.diff (1.4.6/unstable). It seems to be unnecessary
    with 1.5.0.
  * libgcrypt11 Breaks gnupg2|gpgsm (<< 2.0.17-2ubuntu2) and libgnutls26 (<<
    2.12.7-3). See https://bugs.launchpad.net/bugs/815190 and
    https://lists.gnu.org/archive/html/gnutls-devel/2011-07/msg00001.html

 -- Andreas Metzler <ametzler@debian.org>  Thu, 01 Sep 2011 18:53:49 +0200

libgcrypt11 (1.5.0-2) experimental; urgency=low

  * Add a symbols file (Based on binary shipped in squeeze.) Closes: #550077

 -- Andreas Metzler <ametzler@debian.org>  Fri, 19 Aug 2011 13:20:19 +0200

libgcrypt11 (1.5.0-1) experimental; urgency=low

  * Merge multi-arch changes (1.4.6-6 and 1.4.6-7), drop libtool la file.
  * Drop CFLAGS += -Wall again, it has become unnecessary.
  * New upstream version.
  * Bump shlibs

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Jul 2011 12:09:09 +0200

libgcrypt11 (1.5.0~beta1-1) experimental; urgency=low

  * Development release.
  * Drop 13_ftbfs_gold.diff. (applied upstream)
  * Bump shlibs.
  * Run ./configure with --enable-static option, it is disabled by default
    now.
  * Set CFLAGS += -Wall, the latest combination of cdbs + dpkg-dev does not
    seem to set it by default.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Feb 2011 19:34:14 +0100

libgcrypt11 (1.4.6-9) unstable; urgency=low

  * Also enable the gcc bug 633458 workaround on sparc.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Aug 2011 16:56:56 +0200

libgcrypt11 (1.4.6-8) unstable; urgency=medium

  * [20_workaroundarmgcc.diff] Set __attribute__((noinline)) on
    do_decrypt_aligned() if DEB_BUILD_ARCH=arm. This works around gcc bug
    633458.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 27 Jul 2011 19:09:35 +0200

libgcrypt11 (1.4.6-7) unstable; urgency=low

  * Do not use multiarch path in udeb. (Thanks, Colin Watson)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Jun 2011 19:21:16 +0200

libgcrypt11 (1.4.6-6) unstable; urgency=low

  * Stop shipping libtool la file. This should take care of LP: #751142
  * Convert to multi-arch.
    + configure with --libdir=/lib/$(DEB_HOST_MULTIARCH), update
      *.install accordingly.
    + Bump cdbs Build-Depends to 0.4.93 (required for expanding
      $(DEB_HOST_MULTIARCH)).
    + Bump debhelper b-d to 8.1.3 (for ${misc:Pre-Depends}).
    + runtime library is Multi-Arch: same and has Pre-Depends:
      ${misc:Pre-Depends}.
    + This is based on 1.4.6-5ubuntu1, however some differences remain. -dbg
      package is not Multi-Arch: same (Due to usr/lib/debug/usr/bin/*). We
      ship the so-symlink in /lib/$(DEB_HOST_MULTIARCH) instead of
      /usr/lib/$(DEB_HOST_MULTIARCH).

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Jun 2011 17:52:12 +0200

libgcrypt11 (1.4.6-5) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Feb 2011 16:15:28 +0100

libgcrypt11 (1.4.6-4) experimental; urgency=low

  * Stricter version requirement (>> 1.10-0.1 instead of >= 1.4) on the
    libgpg-error-dev build-dependency, to get correct dependencies in the
    udeb.
  * Use debhelper compatibility level 7.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Jan 2011 15:02:27 +0100

libgcrypt11 (1.4.6-3) experimental; urgency=low

  * debian/patches/13_ftbfs_gold.diff fix build failure with binutils-gold.
    Closes: #555179
  * Add libgcrypt11-udeb. Closes: #608504 (Thanks for the patch, Jonas Meurer)
  * Sync with Ubuntu:
    - Disable tests when cross-building.
    - Keep la file in /usr/lib, with a symlink in /lib.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Jan 2011 14:55:59 +0100

libgcrypt11 (1.4.6-2) experimental; urgency=low

  * Move library to /lib. Closes: #604944

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Dec 2010 13:03:43 +0100

libgcrypt11 (1.4.6-1) experimental; urgency=low

  * New upstream version.
  * Drop debian/patches/20_ftbfsmips.diff, included upstream.
  * Includes tiger message-digest variant with commonly used output print
    order. Closes: #575038
  * Interface extended (GCRY_MD_TIGER1 GCRY_MD_TIGER2
    GCRY_CIPHER_MODE_AESWRAP), bump shlibs.
  * Policy 3.9. I have kept the conflicts for libgcrypt{,7}-{doc,dev}
    unchanged instead of trying to convert them to Breaks. These would only
    trigger on upgrades from installations older than Sarge (3.1).

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Jul 2010 15:15:09 +0200

libgcrypt11 (1.4.5-2) unstable; urgency=low

  * Fix FTBFS on mips(el). Thank you, Aurelien Jarno. Closes: #561475

 -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Feb 2010 19:02:07 +0100

libgcrypt11 (1.4.5-1) unstable; urgency=low

  * New upstream version.
    + Does not try to use SPARC32 assembly code on SPARC64. Closes: #560028
  * Drop patches included upstream: 21_cpuid.diff 20_padlock.diff.
  * Switch to 3.0 (quilt) format.
  * Update copyright stanza for documentation.
  * Simplify debian/rules. There should not be any reason to disable the
    pubkey test on specific archs anymore since GCRYCTL_ENABLE_QUICK_RANDOM is
    set. (#385805). Also tests/register et al. are run by upstream's check
    target, there is no need for manual invocation.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Dec 2009 10:44:53 +0100

libgcrypt11 (1.4.4-6) unstable; urgency=low

  * Sync priorities with override file, libgcrypt11 is priority standard
    now.
  * [patches/21_cpuid.diff] Fix CPUID detection. (Thank's, Ben Hutchings.)
    Closes: #519391

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Nov 2009 13:54:31 +0100

libgcrypt11 (1.4.4-5) unstable; urgency=low

  * Use makeinfo -html instead of texi2html to generate html docs.
    Closes: #552947
  * Ship png figures used in html documentation.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Oct 2009 09:32:52 +0100

libgcrypt11 (1.4.4-4) unstable; urgency=low

  * Update homepage location. Closes: #540468
  * Empty dependency_libs in la-file.
  * Stop double installing info files with both dh_install and dh_installinfo.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 25 Aug 2009 20:24:31 +0200

libgcrypt11 (1.4.4-3) unstable; urgency=low

  * 20_padlock.diff: Fix stack smashing on VIA processors with Padlock RNG
    (patch by Tomas       Mraz of Red Hat; thanks to Roberto Rosario for the
    archaeology, forwarded from Ubuntu by Colin Watson). Closes: #535456
  * Standards-Version: 3.8.2, no changes required.
  * Sync section settings in control with override file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Jul 2009 13:47:23 +0200

libgcrypt11 (1.4.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Feb 2009 13:46:58 +0100

libgcrypt11 (1.4.4-1) experimental; urgency=low

  * Add Simon Josefsson to uploaders.
  * New upstream version.
  * Fixes test failure on sparc. (Closes: #499542)
  * Lintian: Add ${misc:Depends} to all package dependencies.
  * Standards-Version 3.8.0, rename debian/README.source_and_patches to
    debian/README.source
  * Add Homepage field to debian/control.
  * Also run new fips186-dsa test at build time.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 24 Jan 2009 15:48:32 +0100

libgcrypt11 (1.4.3-1) experimental; urgency=low

  * New upstream version.
  * Add texlive-generic-recommended to Build-Depends (needed for epsf.tex),
    drop tetex-bin alternatives.
  * New symbols added, bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 Sep 2008 19:40:18 +0200

libgcrypt11 (1.4.1-1) unstable; urgency=low

  * New upstream version.
    - includes debian/patches/13_fixexcessiverandom.diff
  * Add Vcs-Svn: and Vcs-Browser control fields.
  * Register libgcrypt11-doc with doc-base. (Closes: #472292)
  * Use passive ftp instead of http in watchfile.
  * Fix format errors in libgcrypt-config.1 (lintian)
  * Stop (Build-)Depending on -0 versions (lintian)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Apr 2008 11:38:29 +0200

libgcrypt11 (1.4.0-3) unstable; urgency=low

  * Added debian/patches/13_fixexcessiverandom.diff: Patch by upstream
    reducing /dev/*random usage for initialising the RNG to less than 1/100.
    This bug had been introduced in 1.3.1.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 08 Jan 2008 19:49:13 +0100

libgcrypt11 (1.4.0-2) unstable; urgency=low

  * Bump shlibs, new symbols added. (Should have been done in 1.4.0-1.)
  * B-d on libgpg-error-dev (>= 1.4).
  * First upload of 1.4.x to unstable, including alll changes from 1.3.0-1 to
    1.4.0-1:
    - gcrypt now uses abort() instead of exit() for critical errors (missing
      /dev/random) Closes: #412408

 -- Andreas Metzler <ametzler@debian.org>  Wed, 12 Dec 2007 20:02:34 +0100

libgcrypt11 (1.4.0-1) experimental; urgency=low

  * New upstream stable version.
  * Standards-Version: 3.7.3. ${binary:Version} instead of ${Source-Version}.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 10 Dec 2007 19:14:29 +0100

libgcrypt11 (1.3.2-1) experimental; urgency=low

  * New upstream version.
    - Remove 14_ftbfs_hppa_448377.diff (already included).
    - gcrypt now uses abort() instead of exit() for critical errors (missing
      /dev/random) Closes: #412408
    - Pull new copyright header from source, getting rid of
      old-fsf-address-in-copyright-file error.

 -- Andreas Metzler <ametzler@debian.org>  Thu,  6 Dec 2007 19:02:35 +0100

libgcrypt11 (1.3.1-2) experimental; urgency=low

  * Add patches/14_ftbfs_hppa_448377.diff to actually make use of asm
    routines. Fixes FTBFS on HPPA. Closes: #448377
  * Make dumpsexp.8 more useful.

 -- Andreas Metzler <ametzler@debian.org>  Thu,  1 Nov 2007 09:02:17 +0100

libgcrypt11 (1.3.1-1) experimental; urgency=low

  * New upstream version.
   - includes dumpsexp, a tool for debugging s-expressions. Ship it in
     libgcrypt11-dev and add are minimal manpage (generated by help2man).
  * Update debian/copyright.
  * Change build-dep to prefer texlive-latex-base over tetex-bin.
  * Drop docbook-utils, docbook-to-man and jade from build-deps.
  * Drop 13_fixPIC.diff 14_udiv_asm_fix_1253.diff 50_re_autofoo.diff

 -- Andreas Metzler <ametzler@debian.org>  Fri, 26 Oct 2007 17:56:18 +0200

libgcrypt11 (1.3.0-2) experimental; urgency=low

  * 14_udiv_asm_fix_1253: Pulled from upstream SVN 1252:1253. Fix
    build-failure on hppa. (Closes: #424616)
  * 50_re_autofoo.diff regenerated and renamed.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 May 2007 09:12:06 +0200

libgcrypt11 (1.3.0-1) experimental; urgency=low

  * New upstream development release 1.3.0.
    - includes 11_gcrypt_h_362636.patch and 13_powerpc64_284609.diff
    - Support for SEED cipher and SHA-224 and HMAC using SHA-384 and SHA-512.
  * Pulled from SVN:
    - 13_fixPIC.diff to fix shlib-with-non-pic-code.
  * run auto* 14_re_autofoo.diff
  * bump shlibs to 1.3.0.

 -- Andreas Metzler <ametzler@debian.org>  Mon,  9 Apr 2007 12:57:15 +0200

libgcrypt11 (1.2.4-2) unstable; urgency=low

  * Upload to unstable.
  * Drop -lgpg-error from libgcrypt-config --libs output. (Closes: #405238)
  * Switch to debhelper v5 mode.
  * New upstream version closes filehandles in gcry_rndlinux_gather_random().
    (Closes: #403613)

 -- Andreas Metzler <ametzler@debian.org>  Mon,  9 Apr 2007 11:22:41 +0200

libgcrypt11 (1.2.4-1) experimental; urgency=low

  [ Andreas Metzler ]
  * Add a watch file.
  * Update download URL and example copyright statement in debian/copyright.
  * New upstream version.
  * Update patches/11_gcrypt_h_362636.patch to change gcrypt.h.in instead of
    gcrypt.h.

 -- Andreas Metzler <ametzler@debian.org>  Sat,  3 Feb 2007 13:58:51 +0100

libgcrypt11 (1.2.3-2) unstable; urgency=low

  [ Andreas Metzler ]
  * Actually the keygen test does not access /dev/random, the pubkey test is
    the entropy expensive one. Disable running pubkey test on arm, s390 and
    sparc where it caused FTBFS. Re-enable keygen on s390. (closes: #385805)

 -- Andreas Metzler <ametzler@debian.org>  Mon,  4 Sep 2006 19:44:50 +0200

libgcrypt11 (1.2.3-1) unstable; urgency=low

  [ Andreas Metzler ]
  * Mark libgcrypt11-dbg as Priority: extra in debian/control
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat,  2 Sep 2006 15:13:46 +0200

libgcrypt11 (1.2.2-3) unstable; urgency=low

  [ Andreas Metzler ]
  * Don't run keygen test on s390 as the buildd seems to be entropy-starved
    (closes: #377526)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Jul 2006 12:54:49 +0200

libgcrypt11 (1.2.2-2) unstable; urgency=low

  [ James Westby ]
  * New maintainer team. Thanks, Matthias for all the work you did.
  * Set maintainer to alioth mailinglist.
  * Drop build-dependency on binutils (>= 2.14.90.0.7), even sarge has 2.15-6.
  * Standards-Version: 3.7.2, no changes required.
  * Clean packaging against upstream tarball.
  * Drop debian/*.dirs as dh_* will create the necessary directories.
  * Remove code from debian/rules to update config.sub and config.guess as it
    is handled by cdbs. Build-Depends on autotools-dev.
  * Pass --enable-noexecstack to ./configure (closes: #321720)
  * Use cdbs' simple-patchsys.mk.
    - add debian/README.source_and_patches
    - add debian/patches/11_gcrypt_h_362636 (closes: #362636)
    - add debian/patches/20_doc_gcrypt_texi_typos.patch to correct a small
      typo in doc/gcrypt.texi (not a new patch)
  * Tidied up the debian/copyright file. Noted that the documentation is now
    licensed under the GPL (closes: #323458)
  * Remove Build-Depends-Indep as it contained no packages that are not in
    Build-Depends.
  * Remove the change to doc/gcrpyt.texi that rendered incorrectly.
  * Use symbol versioning by passing --enable-ld-version-script in
    DEB_CONFIGURE_EXTRA_FLAGS in debian/rules.

  [ Andreas Metzler ]
  * Add patches/13_powerpc64_284609.diff (not a new patch).
  * Set DEB_MAKE_CHECK_TARGET = check to run included testsuite.

 -- Andreas Metzler <ametzler@debian.org>  Sat,  8 Jul 2006 13:06:34 +0200

libgcrypt11 (1.2.2-1) unstable; urgency=low

  * Updated to new Upstream version.
  * Update shlibdep version to 1.2.2
  * Update copyright file with pointers to the current SCM archives.

 -- Matthias Urlichs <smurf@debian.org>  Tue, 18 Oct 2005 18:27:03 +0200

libgcrypt11 (1.2.1-5) unstable; urgency=low

  * Added shlibdep flag. Closes:#330019
  * Skip tests if cross-building. Closes:#286619
  * Fix the debian/copyright file. Closes:#323458
    - Also add a Suggests: libgcrypt11-doc to debian/control (same bug).

 -- Matthias Urlichs <smurf@debian.org>  Mon, 17 Oct 2005 19:20:23 +0200

libgcrypt11 (1.2.1-4) unstable; urgency=low

  * Fix HTML documentation generation (texi2html update).
    Closes: #318520: FTBFS: Cannot install docs

 -- Matthias Urlichs <smurf@debian.org>  Mon, 18 Jul 2005 00:02:52 +0200

libgcrypt11 (1.2.1-3) unstable; urgency=low

  * Rewrote Description: in debian/control.
    Closes: #291984: DSA is not a hash function
  * Added Priority: important to the runtime library, because it is.
  * Added a missing period to doc/gcrypt.texi.
    Closes: #317474: install-info errors during installation
  * Updated Standards-Version: to 3.6.2; no changes.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 14 Jul 2005 05:55:01 +0200

libgcrypt11 (1.2.1-2) unstable; urgency=low

  * Fix FTBFS due to missing /usr/share/misc/config.guess file.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 14 Jul 2005 05:55:01 +0200

libgcrypt11 (1.2.1-1) unstable; urgency=low

  * Merge with Upstream: v1.2.1
    Closes: #284905: FTBFS (amd64/gcc-4.0): invalid storage class for
                     function 'serpent_test'
  * Add Suggests: rng-tools.
    Closes: #286448: should suggest rng-tools

 -- Matthias Urlichs <smurf@debian.org>  Mon,  4 Jul 2005 01:06:34 +0200

libgcrypt11 (1.2.0-12) unstable; urgency=low

  * Suggest rng-tools (support for hardware random number generators
    on recent mainboards). From Marc Haber. Closes: #286448.

 -- Matthias Urlichs <smurf@debian.org>  Mon, 20 Dec 2004 15:24:13 +0100

libgcrypt11 (1.2.0-11) unstable; urgency=low

  * Support ppc64.
    Patch by Rafael Ávila de Espíndola <rafael.espindola@gmail.com>
    Closes:#284609

 -- Matthias Urlichs <smurf@debian.org>  Wed,  8 Dec 2004 16:59:34 +0100

libgcrypt11 (1.2.0-10) unstable; urgency=high

  * Revert accidental version number change in configure.ac.
    (Accidentally-applied patch while pulling bugfixes from CVS.)
    Sorry about that.

 -- Matthias Urlichs <smurf@debian.org>  Mon, 11 Oct 2004 09:28:53 +0200

libgcrypt11 (1.2.0-9) unstable; urgency=medium

  * Also add a Replaces: for -doc. *Sigh*.

 -- Matthias Urlichs <smurf@debian.org>  Tue,  5 Oct 2004 08:46:15 +0200

libgcrypt11 (1.2.0-8) unstable; urgency=medium

  * Let libgcrypt11-doc onflict with libgcrypt-doc
    - Closes: #274769
  * Fix FTBFS in test, due to latest glibc headers

 -- Matthias Urlichs <smurf@debian.org>  Mon,  4 Oct 2004 09:01:53 +0200

libgcrypt11 (1.2.0-7) unstable; urgency=medium

  * Added build-dep on binutils (>= 2.14.90.0.7)
    - Closes: #265255
  * Merged latest Upstream maintainance changes.

 -- Matthias Urlichs <smurf@debian.org>  Sun, 12 Sep 2004 01:26:41 +0200

libgcrypt11 (1.2.0-6) unstable; urgency=medium

  * Memory leak found by Modestas Vainius <modax@zveryno.mooo.com>.
    - Closes: #264428.
  * Revert hppa assembly code to old version;
    Upstream's new code isn't relocatable on Linux.
    (This change was included in the manually-built 1.2.0-4 on hppa.)

 -- Matthias Urlichs <smurf@debian.org>  Sun,  8 Aug 2004 23:32:53 +0200

libgcrypt11 (1.2.0-5) unstable; urgency=low

  * Include debugging package.

 -- Matthias Urlichs <smurf@debian.org>  Sun,  8 Aug 2004 23:12:16 +0200

libgcrypt11 (1.2.0-4) unstable; urgency=medium

  * Ported rijndael.c alignment patches from gcrypt7.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 15 Jul 2004 23:40:56 +0200

libgcrypt11 (1.2.0-3) unstable; urgency=low

  * Fix AC_DEFUN name quoting.
  * Disable maintainer mode.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 14 Jul 2004 09:43:56 +0200

libgcrypt11 (1.2.0-2) experimental; urgency=low

  * Taken over the package from Ivo Timmerman
  * run those tests which don't read /dev/random

 -- Matthias Urlichs <smurf@debian.org>  Mon, 14 Jun 2004 17:06:35 +0200

libgcrypt11 (1.2.0-1) experimental; urgency=low

  * New upstream version.
  * README.Debian: removed.
  * control: Removed warning about usability from the package
    descriptions.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 15 Apr 2004 12:33:56 +0200

libgcrypt11 (1.1.93-0.1) experimental; urgency=low

  * new Upstream version

 -- Matthias Urlichs <smurf@debian.org>  Mon,  8 Mar 2004 11:59:32 +0100

libgcrypt7 (1.1.90-1.1) unstable; urgency=high

  * NMU
  * [debian/control] Duplicate Build-Depends-Indep into Build-Depends as the
    buildds ignore Build-Depends-Indep. (Closes: #224588)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 29 Dec 2003 11:44:14 +0100

libgcrypt7 (1.1.90-1) unstable; urgency=low

  * New upstream version.

 -- Ivo Timmermans <ivo@debian.org>  Thu,  4 Dec 2003 13:36:02 +0100

libgcrypt7 (1.1.44-1) experimental; urgency=low

  * New upstream version.

 -- Ivo Timmermans <ivo@debian.org>  Fri, 31 Oct 2003 18:12:19 +0100

libgcrypt7 (1.1.43-1) experimental; urgency=low

  * New upstream version (Closes: #205081); renamed source to libgcrypt7.
  * debian/rules:
      * Rewritten to use CDBS;
      * Install HTML documentation (generated with texi2html);
      * Don't install the DVI version of the manual.
  * debian/control:
      * Added build dependencies on cdbs, libgpg-error-dev, auto*,
        libtool, texi2html;
      * Updated Standards-Version.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 30 Oct 2003 23:59:54 +0100

libgcrypt (1.1.12-4) unstable; urgency=low

  * debian/libgcrypt-doc.info: Remove everything except gcrypt.info.
    (Closes: #213743)

 -- Ivo Timmermans <ivo@debian.org>  Fri,  3 Oct 2003 12:35:53 +0200

libgcrypt (1.1.12-3) unstable; urgency=high

  * src/Makefile.am: Revert Robert Millan's patch (thanks Marcus).
    It appears libgcrypt can adapt itself to any threading environment
    by using weak symbols, so explicit linking to pthread will break
    things.  (Closes: #193097)

 -- Ivo Timmermans <ivo@debian.org>  Tue, 27 May 2003 10:43:03 +0200

libgcrypt (1.1.12-2) unstable; urgency=low

  * src/Makefile.am: Apply patch by Robert Millan to fix build
    problems on hurd.  (Closes: 187309)
  * debian/control: Change section of libgcrypt-dev to libdevel.

 -- Ivo Timmermans <ivo@debian.org>  Sun,  4 May 2003 16:54:35 +0200

libgcrypt (1.1.12-1) unstable; urgency=low

  * New upstream release.

 -- Ivo Timmermans <ivo@debian.org>  Mon, 20 Jan 2003 13:59:54 +0100

libgcrypt (1.1.11-4) unstable; urgency=low

  * src/libgcrypt.vers: Fix typo (doh!)

 -- Ivo Timmermans <ivo@debian.org>  Tue,  7 Jan 2003 00:06:34 +0100

libgcrypt (1.1.11-3) unstable; urgency=low

  * src/libgcrypt.vers: Applied a workaround for GNUTLS by Werner Koch.

 -- Ivo Timmermans <ivo@debian.org>  Mon,  6 Jan 2003 21:16:29 +0100

libgcrypt (1.1.11-2) unstable; urgency=low

  * debian/rules: Eh, undo silliness.

 -- Ivo Timmermans <ivo@debian.org>  Mon,  6 Jan 2003 19:02:05 +0100

libgcrypt (1.1.11-1) unstable; urgency=low

  * New upstream release.
  * debian/libgcrypt1.shlibs: Updated.

 -- Ivo Timmermans <ivo@debian.org>  Mon,  6 Jan 2003 17:18:34 +0100

libgcrypt (1.1.10-2) unstable; urgency=low

  * debian/control: libgcrypt-doc changed section to doc.
  * debian/libgcrypt-doc.files: New file; install info pages.
  * debian/libgcrypt-doc.dirs: Added usr/share/info.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 31 Oct 2002 00:07:39 +0100

libgcrypt (1.1.10-1) unstable; urgency=low

  * New upstream release.  (Closes: #167077)
  * debian/libgcrypt1.dirs: Remove empty dir /usr/lib/libgcrypt.
    (Closes: #156117)

 -- Ivo Timmermans <ivo@debian.org>  Wed, 30 Oct 2002 19:26:51 +0100

libgcrypt (1.1.8-2) unstable; urgency=low

  * Fixing build/upload screwups.

 -- Ivo Timmermans <ivo@debian.org>  Fri,  9 Aug 2002 14:55:39 +0200

libgcrypt (1.1.8-1) unstable; urgency=low

  * New upstream release.
  * Changes from Ray Dassen:
      - debian/libgcrypt1.shlibs: Depend on libgcrypt1 >> 1.1.8-0
      - debian/rules: Removed bashism in install target.
      - scripts/autogen.sh: invoke automake --copy --add-missing.

 -- Ivo Timmermans <ivo@debian.org>  Thu,  8 Aug 2002 10:15:42 +0200

libgcrypt (1.1.7-3) unstable; urgency=low

  * Updated debian/copyright to contain the copyright and license
    information about the GPL, LGPL and FDL. (Closes: #150011)
  * Package descriptions changed to "LGPL Crypto library".
  * libgcrypt1.shlibs: Depend on libgcrypt1 >> 1.1.7-0
  * Fix @direntry in gcrypt.texi. (Closes: #150010)

 -- Ivo Timmermans <ivo@debian.org>  Sat, 15 Jun 2002 14:52:55 +0200

libgcrypt (1.1.7-2) unstable; urgency=low

  * Moved libgcrypt-dev to devel.
  * New upload with correct Maintainer field in .changes :-)
      * Closes: #126368, #135514, #127863, #130642, #133978

 -- Ivo Timmermans <ivo@debian.org>  Fri, 14 Jun 2002 11:33:30 +0200

libgcrypt (1.1.7-1) unstable; urgency=low

  * New upstream release. (Closes: #126368)
  * Changed description of -doc, -dev packages to mention differences.
    (Closes: #135514)
  * NMU ACK; Closes: #127863, #130642, #133978)
  * Cleaned up debian/rules:-
      * Don't call autoconf or automake.  As a result, the build
        dependencies are much lighter.
      * Support DEB_BUILD_OPTIONS and cross compilation.
  * Updated shlibs file.

 -- Ivo Timmermans <ivo@debian.org>  Fri, 14 Jun 2002 09:37:59 +0200

libgcrypt (1.1.5-4) unstable; urgency=low

  * Old maintainer.  Yay.

 -- Ivo Timmermans <ivo@debian.org>  Sat, 25 May 2002 20:35:58 +0200

libgcrypt (1.1.5-3.4) unstable; urgency=low

  * NMU
  * Reapply hppa patch that has gone missing. (Closes: #127863)

 -- Randolph Chung <tausq@debian.org>  Tue, 16 Apr 2002 22:31:34 -0700

libgcrypt (1.1.5-3.3) unstable; urgency=low

  * NMU
  * move from non-US to main.

 -- LaMont Jones <lamont@debian.org>  Fri, 29 Mar 2002 17:41:18 -0700

libgcrypt (1.1.5-3.2) unstable; urgency=low

  * Non-Maintainer Upload, during BSP #7.
  * configure.ac: applied patch from James Troup to fix build
    problems on Sparc (closes: #133978).
  * Ran autoconf; automake on the source tree.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Feb 2002 22:23:59 +0100

libgcrypt (1.1.5-3.1) unstable; urgency=medium

  * NMU
  * Fixes compile problems on powerpc/alpha/m68k (Closes: #130642)
  * Fixes compile problems on Hurd (Closes: #126368)

 -- Randolph Chung <tausq@debian.org>  Tue,  5 Feb 2002 04:46:43 +0000

libgcrypt (1.1.5-3) unstable; urgency=medium

  * Applied patch from LaMont Jones to not build documentation in
    binary-arch (closes: #129286).
  * debian/control:
    + removed Build-Depends which should be in B-D-Indep (closes: #128743).
    + fixed typos in descriptions (closes: #125622, #125623, #125624).
  * debian/copyright: fixed lintian warning.
  * debian/docs: removed BUGS (empty) and INSTALL (unneeded);
    added THANKS and TODO.
  * debian/libgcrypt1.shlibs: updated for 1.1.5 (related to #129103).
  * debian/rules: fixed clean target.
  * Above fixes by Jordi Mallach <jordi@debian.org>

 -- Robert van der Meulen <rvdm@debian.org>  Fri, 18 Jan 2002 20:09:05 +0100

libgcrypt (1.1.5-2) unstable; urgency=low

  * Changed Maintainer: address
  * Fixed build depends (Closes: #128743)

 -- Robert van der Meulen <rvdm@debian.org>  Sun, 13 Jan 2002 19:44:11 +0100

libgcrypt (1.1.5-1) unstable; urgency=low

  * New upstream release
  * New maintainer
  * Fixed hppa build problems (Closes: #127863)
  * Fixed HURD build problems (Closes: #126368)

 -- Robert van der Meulen <rvdm@debian.org>  Thu, 10 Jan 2002 12:37:50 +0100

libgcrypt (1.1.4-4) unstable; urgency=medium

  * sexp.c: Fix build problem op ppc et al. (Closes: #119592)

 -- Ivo Timmermans <ivo@debian.org>  Wed, 14 Nov 2001 17:06:48 +0100

libgcrypt (1.1.4-3) unstable; urgency=low

  * Change build system so that binary-arch and binary-indep can be built
    independently; update dependencies to include docbook-utils
    (Closes: 116515)
  * Update src/sexp.c to cvs version. (Closes: 118896)

 -- Ivo Timmermans <ivo@debian.org>  Sat, 10 Nov 2001 20:03:17 +0100

libgcrypt (1.1.4-2) unstable; urgency=low

  * Split off documentation to a separate package.
  * Explicitly strip /usr/lib/libgcrypt/*.

 -- Ivo Timmermans <ivo@debian.org>  Thu,  9 Aug 2001 23:26:59 +0200

libgcrypt (1.1.4-1) unstable; urgency=low

  * Initial Release. (Closes: #107498)

 -- Ivo Timmermans <ivo@debian.org>  Sat,  4 Aug 2001 11:22:10 +0200
